# Устанавливаем кодировку консоли на UTF-8
$OutputEncoding = [System.Text.Encoding]::UTF8

# Путь к снимку
$snapshotPath = "$env:USERPROFILE\AppData\Local\Pub\Cache\global_packages\fgen\bin\fgen.dart-3.5.2.snapshot"

# Проверяем, существует ли снимок
if (Test-Path $snapshotPath) {
  dart $snapshotPath @Args
  # The VM exits with code 253 if the snapshot version is out-of-date.
  # If it is, we need to delete it and run "pub global" manually.
  if ($LASTEXITCODE -ne 253) {
    exit $LASTEXITCODE
  }
}

# Выполняем команду pub global run fgen:fgen
dart pub global run fgen:fgen @Args